The Community Forums

Interact with an entire community of cPanel & WHM users!
  1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

Upgrading GD For Animated Gif Support

Discussion in 'General Discussion' started by dankoerner, Jul 20, 2006.

  1. dankoerner

    dankoerner Member

    Joined:
    Apr 7, 2004
    Messages:
    6
    Likes Received:
    0
    Trophy Points:
    1
    I need to install version 2.0.32 of GD so that I can have animated gif support for a project I'm working on. However, the version of GD that comes prepackaged with cPanel (2.0.15) does not support animated gifs.

    I could manually upgrade GD but I think cPanel will revert back to the older version when it does its nightly automatic update. Is there a way for me to force an upgrade to GD 2.0.32 and keep it that way?
     
  2. chirpy

    chirpy Well-Known Member

    Joined:
    Jun 15, 2002
    Messages:
    13,475
    Likes Received:
    20
    Trophy Points:
    38
    Location:
    Go on, have a guess
    You'll certainly have to do it by hand. I'm not 100% sure that cPanel would bother a custom GD installation so long as it's working correctly. If it does, it's likely to be associated with the perl modules check, and you'd need to set the updates in WHM to manual to avoid it. Looking at the *gd scripts in /scripts/ there doesn't appear to be a way to individually disable the checking/installing/upgrading of GD.
     
  3. dankoerner

    dankoerner Member

    Joined:
    Apr 7, 2004
    Messages:
    6
    Likes Received:
    0
    Trophy Points:
    1
    Thanks for your advice. In WHM->Software->Apache Update there is a "GD (Version 2.0.15)" option under the "PHP Module" list. If I were to uncheck this, and then do a manual installation of the new version of GD, would this maybe prevent cPanel from "upgrading" GD back to version 2.0.15?
     
    #3 dankoerner, Jul 20, 2006
    Last edited: Jul 20, 2006
  4. chirpy

    chirpy Well-Known Member

    Joined:
    Jun 15, 2002
    Messages:
    13,475
    Likes Received:
    20
    Trophy Points:
    38
    Location:
    Go on, have a guess
    I'm not sure whether easyapache actuall rebuilds GD if that option is selected. If so, the problem if you do that is that you then won't have GD support in PHP.

    To workaround that, you'd have to do what you say and build apache+php. Then you'd need to edit /home/cpapachebuild/buildapache/buildscript and put in the --with-gd in the the php build and then run the buildscript again to recompile things.
     
Loading...

Share This Page